Subject: Re: IP multicast traffic forwarding

From: Paul Gray <[email-masked]>
Date: Tue, 20 Jan 1998 20:46:59 -0500

Hi,

I was confused when I read this. Could someone please fill me in on how
IP Multicast is supported over ATM PVC's. I thought that IP Multicast
over ATM was supported using point to multipoint vc's in a mesh. It has
been a while since I looked at RFC 2022. Did I miss something along the
way? Does IGMP work over an ATM PVC? Does Cisco IOS support IP Multicast
over an ATM PVC?

Thanks in advance for any clarification.
Paul Gray

 Magnus Danielson wrote:
> 
> >>>>> "WL" == Weiping Li <[email-masked]> writes:
> 
>  WL> Hi, mbone experts,
>  WL> I currently work on implementing a function which forward the IP multicast
>  WL> packets received over a ATM PVC to an out-going ATM PVC. These two PVCs
>  WL> are located at the same interface device. I use FORE SBA-200 driver under
>  WL> Solaris 2.5.1. Has anyone dealed with this type of "re-directing" of
>  WL> multicast traffic? Could this be realized with a user space daemon?
> 
>  WL> Thank in advance for any tips.
> 
> This sound like something that you should be able to do with the
> comination of Fore's drivers, Multicast routing patches for Solaris 2.5.1
> and Mrouted.
> 
> If you run througth tunnels I know that there is no trouble. There
> used to be troubles back in the days I ran Solaris 2.4 with the Fore
> card, but that was the case of several bugs in which one seemed to
> hide the other under normal curcomstances. I ensured that Fore got
> some extra preassure to solve it ;)
> 
> Cheers,
> Magnus

---

From: "John M. Zwiebel" <[email-masked]>
Date: Tue, 20 Jan 1998 18:19:55 -0800

^ Hi,
 ^ 
 ^ I was confused when I read this. Could someone please fill me in on how
 ^ IP Multicast is supported over ATM PVC's. I thought that IP Multicast
 ^ over ATM was supported using point to multipoint vc's in a mesh. It has
 ^ been a while since I looked at RFC 2022. Did I miss something along the
 ^ way? Does IGMP work over an ATM PVC? Does Cisco IOS support IP Multicast
 ^ over an ATM PVC?

Cisco supports IP Multicast over ATM PVCs and p2mp multipoint switched vcs.
p2mp VC's require "ip pim multipoint-signalling" be enabled on the ATM 
interface.  There are a number of options, including NBMA mode.

IGMP works for cisco.  I can't speak for anyone else.

 ^ 
 ^ Thanks in advance for any clarification.
 ^ Paul Gray
 ^ 
 ^  Magnus Danielson wrote:
 ^ > 
 ^ > >>>>> "WL" == Weiping Li <[email-masked]> writes:
 ^ > 
 ^ >  WL> Hi, mbone experts,
 ^ >  WL> I currently work on implementing a function which forward the IP mult
    icast
 ^ >  WL> packets received over a ATM PVC to an out-going ATM PVC. These two PV
    Cs
 ^ >  WL> are located at the same interface device. I use FORE SBA-200 driver u
    nder
 ^ >  WL> Solaris 2.5.1. Has anyone dealed with this type of "re-directing" of
 ^ >  WL> multicast traffic? Could this be realized with a user space daemon?
 ^ > 
 ^ >  WL> Thank in advance for any tips.
 ^ > 
 ^ > This sound like something that you should be able to do with the
 ^ > comination of Fore's drivers, Multicast routing patches for Solaris 2.5.1
 ^ > and Mrouted.
 ^ > 
 ^ > If you run througth tunnels I know that there is no trouble. There
 ^ > used to be troubles back in the days I ran Solaris 2.4 with the Fore
 ^ > card, but that was the case of several bugs in which one seemed to
 ^ > hide the other under normal curcomstances. I ensured that Fore got
 ^ > some extra preassure to solve it ;)
 ^ > 
 ^ > Cheers,
 ^ > Magnus

------------------------------------------------------------------------------
	John Zwiebel                       Phone: 408-526-5303
	Cisco Systems Inc.                 
	Multimedia Group